tez-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Hitesh Shah <hit...@apache.org>
Subject MR compatibility - related to TEZ-722
Date Wed, 15 Jan 2014 23:54:14 GMT
Hi folks, 

Jonathan raised the issue in TEZ-722 which has implications with respect to what version of
Hadoop that is Tez compatible with. A recent change in hadoop branch-2 ( 2.4.0 ) implies Tez
master branch no longer compiles against hadoop-2.4.0-SNAPSHOT.

There seem to be multiple options we could take:

i) Change master branch to compile against hadoop-2.4.0-SNAPSHOT. This would imply 0.3.0 will
be released only after hadoop-2.4.0 is released. 
ii) If 0.3.0 needs to be released earlier, this might be the time to create a branch and ensure
we can do a release of 0.3.0 against either hadoop-2.2.0 or hadoop-2.3.0 with security support
enabled.
iii) No support for hadoop-2.4.0-SNAPSHOT at this time? A probably contentious option so I
have CC'ed the user@ list too. 

Any other options/comments/preferences? 

thanks
-- Hitesh


 



Mime
View raw message